

#import "ZhiyingCommNativeResult.h"

#ifndef ZhiyingCommNativeProtocol_h
#define ZhiyingCommNativeProtocol_h

typedef void (^ZhiyingCommNativeStatus)(ZhiyingCommNativeResult *status);

/// app需要实现协议，使flutter获得更多功能
@protocol ZhiyingCommNativeProtocol <NSObject>

// 公共跳转方法
- (void)openPage:(NSDictionary *)params;
// 跳转原生页面（非公共跳转）
- (void)openNativePage:(NSDictionary *)params;
// 获取设置
- (NSDictionary *)getSetting;

- (void)notifyInitSuccess:(NSDictionary *)params;

// 调用原生方法
- (void)invokeMethod: (NSString*)method withParams: (NSDictionary *)params status:(ZhiyingCommNativeStatus)status;

@end

#endif /* ZhiyingCommNativeProtocol_h */
