import 'package:zhiying_comm/models/base/skip_model.dart';

class BaseTabModel extends SkipModel {
  String name;
  String isShow;
  String icon;
  String chooseColor;
  String chooseIcon;
  String cateTag;
  String bgColor;
  String fontColor;

  BaseTabModel(
      {this.name,
      this.isShow,
      this.icon,
      this.chooseColor,
      this.chooseIcon,
      this.cateTag,
      this.bgColor,
      this.fontColor});

  BaseTabModel.fromJson(Map<String, dynamic> json) {
    super.fromJson(json);
    name = json['name'];
    isShow = json['is_show'];
    icon = json['icon'];
    chooseColor = json['choose_color'];
    chooseIcon = json['choose_icon'];
    cateTag = json['cate_tag'];
    skipIdentifier = json['skip_identifier'];
    requiredLogin = json['required_login']?.toString();
    requiredTaobaoAuth = json['required_taobao_auth'];
    bgColor = json['bg_color'];
    fontColor = json['font_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['name'] = this.name;
    data['is_show'] = this.isShow;
    data['icon'] = this.icon;
    data['choose_color'] = this.chooseColor;
    data['choose_icon'] = this.chooseIcon;
    data['cate_tag'] = this.cateTag;
    data['bg_color'] = this.bgColor;
    data['font_color'] = this.fontColor;
    return data;
  }
}
