class EmptyPageModel {
  String appBarName;
  String appBarNameColor;
  String appBarBgColor;
  String bgColor;
  String bgImg;
  String contentText;
  String contentTextColor;
  String btnColor1;
  String btnColor2;
  String btnText;
  String btnTextColor;
  String btnType;

  EmptyPageModel({
    this.appBarName,
    this.appBarNameColor,
    this.appBarBgColor,
    this.bgColor,
    this.bgImg,
    this.contentText,
    this.contentTextColor,
    this.btnColor1,
    this.btnColor2,
    this.btnText,
    this.btnTextColor,
    this.btnType,
  });

  EmptyPageModel.fromJson(Map<String, dynamic> json) {
    appBarName = json['app_bar_name'];
    appBarNameColor = json['app_bar_name_color'];
    appBarBgColor = json['app_bar_bg_color'];
    bgColor = json['bg_color'];
    bgImg = json['bg_img'];
    contentText = json['content_text'];
    contentTextColor = json['content_text_color'];
    btnColor1 = json['btn_color1'];
    btnColor2 = json['btn_color2'];
    btnText = json['btn_text'];
    btnTextColor = json['btn_text_color'];
    btnType = json['btn_type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_name'] = this.appBarName;
    data['app_bar_name_color'] = this.appBarNameColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['bg_color'] = this.bgColor;
    data['bg_img'] = this.bgImg;
    data['content_text'] = this.contentText;
    data['content_text_color'] = this.contentTextColor;
    data['btn_color1'] = this.btnColor1;
    data['btn_color2'] = this.btnColor2;
    data['btn_text'] = this.btnText;
    data['btn_text_color'] = this.btnTextColor;
    data['btn_type'] = this.btnType;
    return data;
  }
}
