/// back_img : "http://ossq.izhyin.cn/back_up.png"
/// logo_img : "http://ossq.izhyin.cn/login_logo.png"
/// main : {"app_bar_title":"","app_bar_title_color":"","app_bar_bg_color":"","app_name_img":"http://ossq.izhyin.cn/login_app_name.png","background_img":"http://ossq.izhyin.cn/login_bg.png","agreements":[{"text":"登录表示您已阅读并同意","text_color":"#C0C0C0","url":""},{"text":"《用户协议》","text_color":"#FF4242","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=protocol"},{"text":"与","text_color":"#C0C0C0","url":""},{"text":"《隐私政策》","text_color":"#FF4242","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=privacyPolicy"}],"importance_login":[{"type":"mobile","btn_text":"手机登录","btn_text_color":"#FFFFFF","btn_border_color":"#FF4242","btn_bg_color":"#FF4242","btn_mobile_icon":"http://ossq.izhyin.cn/login_mobile_icon.png"},{"type":"wechat","btn_text":"微信登录","btn_text_color":"#FF4242","btn_border_color":"#FF4242","btn_bg_color":"#FFFFFF","btn_mobile_icon":"http://ossq.izhyin.cn/login_wechat_icon.png"}],"other_icons_title":"其它方式登录","other_icons_title_color":"#333333","other_expansion_icon":"http://ossq.izhyin.cn/login_other_expansion_icon.png","bottom_icons":[{"type":"qq","img":"http://ossq.izhyin.cn/login_qq_icon.png"},{"type":"taobao","img":"http://ossq.izhyin.cn/login_taobao_icon.png"},{"type":"apple","img":"http://ossq.izhyin.cn/login_apple_icon.png"}]}
/// mobile : {"vcode_time":"60","app_bar_title":"登录","app_bar_title_color":"#333333","app_bar_bg_color":"#FFFFFF","title":"您好，欢迎登录","title_color":"#333333","input_hint_color":"#999999","input_text_color":"#333333","input_bg_color":"#F7F7F7","input_mobile_icon":"xxxx","input_mobile_hint_text":"请输入您的手机号","input_vcode_icon":"xxxx","input_vcode_hint_text":"请输入您的验证码","input_other_code_icon":"xxx","input_other_code_icon_text":"请输入右方验证码","input_pass_icon":"http://xxx","input_pass_hint_text":"请输入您的密码","btn_login_text":"立即登录","btn_login_text_color":"#FFFFFF","btn_login_bg_color":"#FF3939","btn_login_shadow_color":"#FF0000","btn_login_ban_bg_color":"#F5F5F5","btn_login_ban_text_color":"#999999","btn_vcode_text":"获取验证码","btn_vcode_bg_color":"#FF4343","btn_vcode_ban_text_color":"#FFFFFF","btn_vcode_ban_bg_color":"#DDDDDD","text_use_pass_tip":"使用密码登录","text_use_vcode_tip":"使用验证码登录","text_use_pass_tip_color":"#999999","text_use_vcode_tip_color":"#999999","text_bottom_tip":"未注册过的手机将自动注册","text_bottom_tip_color":"#999999","protocol_select_icon":"http://xxxxx","protocol_unselect_icon":"http://xxxx","protocol":[{"text":"同意","text_color":"#C0C0C0","url":""},{"text":"《智莺生活用户协议》","text_color":"#FF3939","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=protocol"},{"text":"及","text_color":"#C0C0C0","url":""},{"text":"《隐私政策》","text_color":"#FF3939","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=privacyPolicy"}]}
/// invite : {"app_bar_title":"登陆","app_bar_title_color":"#333333","app_bar_bg_color":"#FFFFFF","title":"输入邀请码","title_color":"#333333","input_hint_color":"#999999","input_bg_color":"#F7F7F7","btn_ban_bg_color":"#F5F5F5","btn_ban_text_color":"#999999","input_invite_icon":"http://xxxx","input_invite_text":"请输入邀请码","input_invite_text_color":"#999999","btn_submit_text":"进入智莺生活","btn_submit_text_color":"#FFFFFF","btn_submit_bg_color":"#FF3939","btn_submit_shadow_color":"#FF0000"}
/// quick : {"app_bar_title":"","app_bar_bg_color":"","app_bar_title_color":"#FFFFFF","account_color":"#333333","text_tip":"切换账号","text_tip_color":"#FF3939","btn_submit_text":"立即登录","btn_submit_text_color":"#FFFFFF","btn_submit_bg_color":"#FF3939","btn_submit_shadow_color":"#FF0000","protocol_select_icon":"http://xxxx","protocol_unselect_icon":"http://xxxxx","text_bottom_tip":"中国电信提供认证服务","text_bottom_tip_color":"#C0C0C0","protocol":[{"text":"同意","text_color":"#C0C0C0","url":""},{"text":"《智莺生活用户协议》","text_color":"#FF3939","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=protocol"},{"text":"及","text_color":"#C0C0C0","url":""},{"text":"《隐私政策》","text_color":"#FF3939","url":"http://www.hairuyi.com/?mod=appapi&act=privacy&ctrl=index&type=privacyPolicy"}]}
/// flash_login_enable : "1"
class LoginStyleModel {
  // 返回图标
  String backImg;

  // logo
  String logoImg;

  // 登录首页的UI
  Main main;

  // 手机绑定
  Mobile mobile;

  // 邀请好友页面
  Invite invite;

  // 一键登录
  Quick quick;

  // 是否需要填写邀请码
  String flashLoginEnable;

  LoginStyleModel({this.backImg, this.logoImg, this.main, this.mobile, this.invite, this.quick, this.flashLoginEnable});

  LoginStyleModel.fromJson(Map<String, dynamic> json) {
    backImg = json['back_img'];
    logoImg = json['logo_img'];
    main = json['main'] != null ? new Main.fromJson(json['main']) : null;
    mobile = json['mobile'] != null ? new Mobile.fromJson(json['mobile']) : null;
    invite = json['invite'] != null ? new Invite.fromJson(json['invite']) : null;
    quick = json['quick'] != null ? new Quick.fromJson(json['quick']) : null;
    flashLoginEnable = json['flash_login_enable'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['back_img'] = this.backImg;
    data['logo_img'] = this.logoImg;
    if (this.main != null) {
      data['main'] = this.main.toJson();
    }
    if (this.mobile != null) {
      data['mobile'] = this.mobile.toJson();
    }
    if (this.invite != null) {
      data['invite'] = this.invite.toJson();
    }
    if (this.quick != null) {
      data['quick'] = this.quick.toJson();
    }
    data['flash_login_enable'] = this.flashLoginEnable;
    return data;
  }
}

class Main {
  String appBarTitle;
  String appBarTitleColor;
  String appBarBgColor;
  String appNameImg;
  String appName;
  String backgroundImg;
  List<Agreements> agreements;
  List<ImportanceLogin> importanceLogin;
  String otherIconsTitle;
  String otherIconsTitleColor;
  String otherExpansionIcon;
  List<BottomIcons> bottomIcons;

  Main(
      {this.appBarTitle,
      this.appBarTitleColor,
      this.appBarBgColor,
      this.appNameImg,
      this.backgroundImg,
      this.agreements,
      this.importanceLogin,
      this.otherIconsTitle,
      this.otherIconsTitleColor,
      this.otherExpansionIcon,
      this.bottomIcons});

  Main.fromJson(Map<String, dynamic> json) {
    appBarTitle = json['app_bar_title'];
    appBarTitleColor = json['app_bar_title_color'];
    appBarBgColor = json['app_bar_bg_color'];
    appNameImg = json['app_name_img'];
    backgroundImg = json['background_img'];
    appName=json['app_name_cn'];
    if (json['agreements'] != null) {
      agreements = new List<Agreements>();
      json['agreements'].forEach((v) {
        agreements.add(new Agreements.fromJson(v));
      });
    }
    if (json['importance_login'] != null) {
      importanceLogin = new List<ImportanceLogin>();
      json['importance_login'].forEach((v) {
        importanceLogin.add(new ImportanceLogin.fromJson(v));
      });
    }
    otherIconsTitle = json['other_icons_title'];
    otherIconsTitleColor = json['other_icons_title_color'];
    otherExpansionIcon = json['other_expansion_icon'];
    if (json['bottom_icons'] != null) {
      bottomIcons = new List<BottomIcons>();
      json['bottom_icons'].forEach((v) {
        bottomIcons.add(new BottomIcons.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_title'] = this.appBarTitle;
    data['app_bar_title_color'] = this.appBarTitleColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['app_name_img'] = this.appNameImg;
    data['background_img'] = this.backgroundImg;
    if (this.agreements != null) {
      data['agreements'] = this.agreements.map((v) => v.toJson()).toList();
    }
    if (this.importanceLogin != null) {
      data['importance_login'] = this.importanceLogin.map((v) => v.toJson()).toList();
    }
    data['other_icons_title'] = this.otherIconsTitle;
    data['other_icons_title_color'] = this.otherIconsTitleColor;
    data['other_expansion_icon'] = this.otherExpansionIcon;
    if (this.bottomIcons != null) {
      data['bottom_icons'] = this.bottomIcons.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Agreements {
  String text;
  String textColor;
  String url;

  Agreements({this.text, this.textColor, this.url});

  Agreements.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    textColor = json['text_color'];
    url = json['url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    data['text_color'] = this.textColor;
    data['url'] = this.url;
    return data;
  }
}

class ImportanceLogin {
  String type;
  String btnText;
  String btnTextColor;
  String btnBorderColor;
  String btnBgColor;
  String btnMobileIcon;

  ImportanceLogin({this.type, this.btnText, this.btnTextColor, this.btnBorderColor, this.btnBgColor, this.btnMobileIcon});

  ImportanceLogin.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    btnText = json['btn_text'];
    btnTextColor = json['btn_text_color'];
    btnBorderColor = json['btn_border_color'];
    btnBgColor = json['btn_bg_color'];
    btnMobileIcon = json['btn_mobile_icon'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['btn_text'] = this.btnText;
    data['btn_text_color'] = this.btnTextColor;
    data['btn_border_color'] = this.btnBorderColor;
    data['btn_bg_color'] = this.btnBgColor;
    data['btn_mobile_icon'] = this.btnMobileIcon;
    return data;
  }
}

class BottomIcons {
  String type;
  String img;

  BottomIcons({this.type, this.img});

  BottomIcons.fromJson(Map<String, dynamic> json) {
    type = json['type'];
    img = json['img'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['img'] = this.img;
    return data;
  }
}

class Mobile {
  String vcodeTime;
  String appBarTitle;
  String appBarTitleColor;
  String appBarBgColor;
  String title;
  String titleColor;
  String inputHintColor;
  String inputTextColor;
  String inputBgColor;
  String inputMobileIcon;
  String inputMobileHintText;
  String inputVcodeIcon;
  String inputVcodeHintText;
  String inputOtherCodeIcon;
  String inputOtherCodeIconText;
  String inputPassIcon;
  String inputPassHintText;
  String btnLoginText;
  String btnLoginTextColor;
  String btnLoginBgColor;
  String btnLoginShadowColor;
  String btnLoginBanBgColor;
  String btnLoginBanTextColor;
  String btnVcodeText;
  String btnVcodeTextColor;
  String btnVcodeBgColor;
  String btnVcodeBanTextColor;
  String btnVcodeBanBgColor;
  String textUsePassTip;
  String textUseVcodeTip;
  String textUsePassTipColor;
  String textUseVcodeTipColor;
  String textBottomTip;
  String textBottomTipColor;
  String protocolSelectIcon;
  String protocolUnselectIcon;
  List<Protocol> protocol;

  String thirdPartyLoginTitle;
  String thirdPartyLoginAppBarTitle;

  Mobile({
    this.vcodeTime,
    this.appBarTitle,
    this.appBarTitleColor,
    this.appBarBgColor,
    this.title,
    this.titleColor,
    this.inputHintColor,
    this.inputTextColor,
    this.inputBgColor,
    this.inputMobileIcon,
    this.inputMobileHintText,
    this.inputVcodeIcon,
    this.inputVcodeHintText,
    this.inputOtherCodeIcon,
    this.inputOtherCodeIconText,
    this.inputPassIcon,
    this.inputPassHintText,
    this.btnLoginText,
    this.btnLoginTextColor,
    this.btnLoginBgColor,
    this.btnLoginShadowColor,
    this.btnLoginBanBgColor,
    this.btnLoginBanTextColor,
    this.btnVcodeText,
    this.btnVcodeTextColor,
    this.btnVcodeBgColor,
    this.btnVcodeBanTextColor,
    this.btnVcodeBanBgColor,
    this.textUsePassTip,
    this.textUseVcodeTip,
    this.textUsePassTipColor,
    this.textUseVcodeTipColor,
    this.textBottomTip,
    this.textBottomTipColor,
    this.protocolSelectIcon,
    this.protocolUnselectIcon,
    this.protocol,
    this.thirdPartyLoginAppBarTitle,
    this.thirdPartyLoginTitle,
  });

  Mobile.fromJson(Map<String, dynamic> json) {
    vcodeTime = json['vcode_time'];
    appBarTitle = json['app_bar_title'];
    appBarTitleColor = json['app_bar_title_color'];
    appBarBgColor = json['app_bar_bg_color'];
    title = json['title'];
    titleColor = json['title_color'];
    inputHintColor = json['input_hint_color'];
    inputTextColor = json['input_text_color'];
    inputBgColor = json['input_bg_color'];
    inputMobileIcon = json['input_mobile_icon'];
    inputMobileHintText = json['input_mobile_hint_text'];
    inputVcodeIcon = json['input_vcode_icon'];
    inputVcodeHintText = json['input_vcode_hint_text'];
    inputOtherCodeIcon = json['input_other_code_icon'];
    inputOtherCodeIconText = json['input_other_code_icon_text'];
    inputPassIcon = json['input_pass_icon'];
    inputPassHintText = json['input_pass_hint_text'];
    btnLoginText = json['btn_login_text'];
    btnLoginTextColor = json['btn_login_text_color'];
    btnLoginBgColor = json['btn_login_bg_color'];
    btnLoginShadowColor = json['btn_login_shadow_color'];
    btnLoginBanBgColor = json['btn_login_ban_bg_color'];
    btnLoginBanTextColor = json['btn_login_ban_text_color'];
    btnVcodeText = json['btn_vcode_text'];
    btnVcodeTextColor = json['btnVcodeTextColor'];
    btnVcodeBgColor = json['btn_vcode_bg_color'];
    btnVcodeBanTextColor = json['btn_vcode_ban_text_color'];
    btnVcodeBanBgColor = json['btn_vcode_ban_bg_color'];
    textUsePassTip = json['text_use_pass_tip'];
    textUseVcodeTip = json['text_use_vcode_tip'];
    textUsePassTipColor = json['text_use_pass_tip_color'];
    textUseVcodeTipColor = json['text_use_vcode_tip_color'];
    textBottomTip = json['text_bottom_tip'];
    textBottomTipColor = json['text_bottom_tip_color'];
    protocolSelectIcon = json['protocol_select_icon'];
    protocolUnselectIcon = json['protocol_unselect_icon'];
    thirdPartyLoginAppBarTitle = json['third_party_login_app_bar_title'];
    thirdPartyLoginTitle = json['third_party_login_title'];
    if (json['protocol'] != null) {
      protocol = new List<Protocol>();
      json['protocol'].forEach((v) {
        protocol.add(new Protocol.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['vcode_time'] = this.vcodeTime;
    data['third_party_login_app_bar_title'] = this.thirdPartyLoginAppBarTitle;
    data['third_party_login_title'] = this.thirdPartyLoginTitle;
    data['app_bar_title'] = this.appBarTitle;
    data['app_bar_title_color'] = this.appBarTitleColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['title'] = this.title;
    data['title_color'] = this.titleColor;
    data['input_hint_color'] = this.inputHintColor;
    data['input_text_color'] = this.inputTextColor;
    data['input_bg_color'] = this.inputBgColor;
    data['input_mobile_icon'] = this.inputMobileIcon;
    data['input_mobile_hint_text'] = this.inputMobileHintText;
    data['input_vcode_icon'] = this.inputVcodeIcon;
    data['input_vcode_hint_text'] = this.inputVcodeHintText;
    data['input_other_code_icon'] = this.inputOtherCodeIcon;
    data['input_other_code_icon_text'] = this.inputOtherCodeIconText;
    data['input_pass_icon'] = this.inputPassIcon;
    data['input_pass_hint_text'] = this.inputPassHintText;
    data['btn_login_text'] = this.btnLoginText;
    data['btn_login_text_color'] = this.btnLoginTextColor;
    data['btn_login_bg_color'] = this.btnLoginBgColor;
    data['btn_login_shadow_color'] = this.btnLoginShadowColor;
    data['btn_login_ban_bg_color'] = this.btnLoginBanBgColor;
    data['btn_login_ban_text_color'] = this.btnLoginBanTextColor;
    data['btn_vcode_text'] = this.btnVcodeText;
    data['btnVcodeTextColor'] = this.btnVcodeTextColor;
    data['btn_vcode_bg_color'] = this.btnVcodeBgColor;
    data['btn_vcode_ban_text_color'] = this.btnVcodeBanTextColor;
    data['btn_vcode_ban_bg_color'] = this.btnVcodeBanBgColor;
    data['text_use_pass_tip'] = this.textUsePassTip;
    data['text_use_vcode_tip'] = this.textUseVcodeTip;
    data['text_use_pass_tip_color'] = this.textUsePassTipColor;
    data['text_use_vcode_tip_color'] = this.textUseVcodeTipColor;
    data['text_bottom_tip'] = this.textBottomTip;
    data['text_bottom_tip_color'] = this.textBottomTipColor;
    data['protocol_select_icon'] = this.protocolSelectIcon;
    data['protocol_unselect_icon'] = this.protocolUnselectIcon;
    if (this.protocol != null) {
      data['protocol'] = this.protocol.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Invite {
  String appBarTitle;
  String appBarTitleColor;
  String appBarBgColor;
  String title;
  String titleColor;
  String inputHintColor;
  String inputBgColor;
  String btnBanBgColor;
  String btnBanTextColor;
  String inputInviteIcon;
  String inputInviteText;
  String inputInviteTextColor;
  String btnSubmitText;
  String btnSubmitTextColor;
  String btnSubmitBgColor;
  String btnSubmitShadowColor;

  Invite(
      {this.appBarTitle,
      this.appBarTitleColor,
      this.appBarBgColor,
      this.title,
      this.titleColor,
      this.inputHintColor,
      this.inputBgColor,
      this.btnBanBgColor,
      this.btnBanTextColor,
      this.inputInviteIcon,
      this.inputInviteText,
      this.inputInviteTextColor,
      this.btnSubmitText,
      this.btnSubmitTextColor,
      this.btnSubmitBgColor,
      this.btnSubmitShadowColor});

  Invite.fromJson(Map<String, dynamic> json) {
    appBarTitle = json['app_bar_title'];
    appBarTitleColor = json['app_bar_title_color'];
    appBarBgColor = json['app_bar_bg_color'];
    title = json['title'];
    titleColor = json['title_color'];
    inputHintColor = json['input_hint_color'];
    inputBgColor = json['input_bg_color'];
    btnBanBgColor = json['btn_ban_bg_color'];
    btnBanTextColor = json['btn_ban_text_color'];
    inputInviteIcon = json['input_invite_icon'];
    inputInviteText = json['input_invite_text'];
    inputInviteTextColor = json['input_invite_text_color'];
    btnSubmitText = json['btn_submit_text'];
    btnSubmitTextColor = json['btn_submit_text_color'];
    btnSubmitBgColor = json['btn_submit_bg_color'];
    btnSubmitShadowColor = json['btn_submit_shadow_color'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_title'] = this.appBarTitle;
    data['app_bar_title_color'] = this.appBarTitleColor;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['title'] = this.title;
    data['title_color'] = this.titleColor;
    data['input_hint_color'] = this.inputHintColor;
    data['input_bg_color'] = this.inputBgColor;
    data['btn_ban_bg_color'] = this.btnBanBgColor;
    data['btn_ban_text_color'] = this.btnBanTextColor;
    data['input_invite_icon'] = this.inputInviteIcon;
    data['input_invite_text'] = this.inputInviteText;
    data['input_invite_text_color'] = this.inputInviteTextColor;
    data['btn_submit_text'] = this.btnSubmitText;
    data['btn_submit_text_color'] = this.btnSubmitTextColor;
    data['btn_submit_bg_color'] = this.btnSubmitBgColor;
    data['btn_submit_shadow_color'] = this.btnSubmitShadowColor;
    return data;
  }
}

class Quick {
  String appBarTitle;
  String appBarBgColor;
  String appBarTitleColor;
  String accountColor;
  String textTip;
  String textTipColor;
  String btnSubmitText;
  String btnSubmitTextColor;
  String btnSubmitBgColor;
  String btnSubmitShadowColor;
  String protocolSelectIcon;
  String protocolUnselectIcon;
  String textBottomTip;
  String textBottomTipColor;
  List<Protocol> protocol;

  Quick(
      {this.appBarTitle,
      this.appBarBgColor,
      this.appBarTitleColor,
      this.accountColor,
      this.textTip,
      this.textTipColor,
      this.btnSubmitText,
      this.btnSubmitTextColor,
      this.btnSubmitBgColor,
      this.btnSubmitShadowColor,
      this.protocolSelectIcon,
      this.protocolUnselectIcon,
      this.textBottomTip,
      this.textBottomTipColor,
      this.protocol});

  Quick.fromJson(Map<String, dynamic> json) {
    appBarTitle = json['app_bar_title'];
    appBarBgColor = json['app_bar_bg_color'];
    appBarTitleColor = json['app_bar_title_color'];
    accountColor = json['account_color'];
    textTip = json['text_tip'];
    textTipColor = json['text_tip_color'];
    btnSubmitText = json['btn_submit_text'];
    btnSubmitTextColor = json['btn_submit_text_color'];
    btnSubmitBgColor = json['btn_submit_bg_color'];
    btnSubmitShadowColor = json['btn_submit_shadow_color'];
    protocolSelectIcon = json['protocol_select_icon'];
    protocolUnselectIcon = json['protocol_unselect_icon'];
    textBottomTip = json['text_bottom_tip'];
    textBottomTipColor = json['text_bottom_tip_color'];
    if (json['protocol'] != null) {
      protocol = new List<Protocol>();
      json['protocol'].forEach((v) {
        protocol.add(new Protocol.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['app_bar_title'] = this.appBarTitle;
    data['app_bar_bg_color'] = this.appBarBgColor;
    data['app_bar_title_color'] = this.appBarTitleColor;
    data['account_color'] = this.accountColor;
    data['text_tip'] = this.textTip;
    data['text_tip_color'] = this.textTipColor;
    data['btn_submit_text'] = this.btnSubmitText;
    data['btn_submit_text_color'] = this.btnSubmitTextColor;
    data['btn_submit_bg_color'] = this.btnSubmitBgColor;
    data['btn_submit_shadow_color'] = this.btnSubmitShadowColor;
    data['protocol_select_icon'] = this.protocolSelectIcon;
    data['protocol_unselect_icon'] = this.protocolUnselectIcon;
    data['text_bottom_tip'] = this.textBottomTip;
    data['text_bottom_tip_color'] = this.textBottomTipColor;
    if (this.protocol != null) {
      data['protocol'] = this.protocol.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Protocol {
  String text;
  String textColor;
  String url;

  Protocol({this.text, this.textColor, this.url});

  Protocol.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    textColor = json['text_color'];
    url = json['url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    data['text_color'] = this.textColor;
    data['url'] = this.url;
    return data;
  }
}
