package cn.zhios.zhiying_comm_example;

import androidx.annotation.NonNull;

import java.util.HashMap;
import java.util.Map;

import cn.zhios.zhiying_comm.ZhiyingFlutterCommHandler;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommNativable;
import cn.zhios.zhiying_comm.ZhiyingFlutterCommNative;
import io.flutter.embedding.android.FlutterActivity;
import io.flutter.embedding.engine.FlutterEngine;
import io.flutter.plugins.GeneratedPluginRegistrant;

public class MainActivity extends FlutterActivity implements ZhiyingFlutterCommNativable {
    @Override
    public void configureFlutterEngine(@NonNull FlutterEngine flutterEngine) {
        GeneratedPluginRegistrant.registerWith(flutterEngine);
        ZhiyingFlutterCommNative.getInstance().regist(this);
    }


    boolean localDebug = false;

    @Override
    public void openPage(Map params) {

    }

    @Override
    public void openNativePage(Map params) {

    }

    @Override
    public Map getSetting() {
        Map map = new HashMap();
        map.put("domain", "http://inapi.izhyin.cn"); //"http://120.76.175.204:8989");
        map.put("master_id", "123456");
        map.put("secret_key", "123456");
//        map.put("token", "cc455e0c0b6a75ff09aeb966c211fb967d69b63d");
        return map;
    }

    @Override
    public void invokeMethod(String method, Map<String, Object> params, ZhiyingFlutterCommHandler handler) {
        return;
    }

    @Override
    public void initSuccess() {

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        ZhiyingFlutterCommNative.getInstance().unregist();
    }
}
